> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a list of player licenses ## OpenAPI ````json GET /v{version}/Licenses { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Licenses": { "get": { "tags": [ "Licenses" ], "summary": "Get a list of player licenses", "operationId": "Licenses_GetList", "parameters": [ { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.LicenseInfo" } } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.LicenseInfo": { "type": "object", "properties": { "AvailableCount": { "type": "integer", "description": "Amount of available licenses", "format": "int32", "readOnly": true }, "TotalCount": { "type": "integer", "description": "Total amount of licenses", "format": "int32", "readOnly": true }, "Type": { "$ref": "#/components/schemas/V1.Enums.LicenseType" } }, "description": "License information" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } }, "V1.Enums.LicenseType": { "enum": [ "Player", "NoLicense", "EntryPlayer", "StandardPlayer", "AdvancedPlayer", "InteractivePlayer", "MultiDisplayPlayer3", "MultiDisplayPlayer4", "AndroidTablet", "SmartScreen", "CiscoIEC4600", "CiscoEdge300340", "DoorSign", "EPaperDisplay", "EPaperManagerPC", "DirectoryDisplay", "Sensor", "DsPlayerEntry", "DsPlayerEntrySaas", "DsPlayerAdvanced", "DsPlayerAdvancedSaas", "DsPlayerPro", "DsPlayerProSaas", "DsPlayerProPlus", "DsPlayerProPlusSaas", "ColorDoorSignPlayer", "ColorDoorSignPlayerSaas", "EPaperDoorSignPlayer", "EPaperDoorSignPlayerSaas", "AudioPlayer", "AudioPlayerSaas", "XPeriencePlatform10", "XPeriencePlatform50", "XPeriencePlatformUnlimited", "EslControlBaseStation", "EslControlExtension100", "EslControlExtension500", "TftEsl", "TftEslInteractive", "StaffWatchSoftware", "TabletInformation", "TabletMediaControl", "TabletNotification" ], "type": "string", "description": "License types" } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````